### Method

# Adw Toastset_action_name

#### Declaration [src]

    void
    adw_toast_set_action_name (
      AdwToast* self,
      const char* action_name
    )

#### Description [src]

Sets the name of the associated action.

It will be activated when clicking the button.

See `AdwToast:action-target`.

Sets property | `Adw.Toast:action-name`

#### Parameters

`action_name`

  Type: `const char*`

  The action name.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.